<?php
/*
2chBBS Admin makes managing 2chBBS much easier!
Copyright (C) 2008 Tetsuya Saito
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

//////////////////////////////////////////////////////////////////////////////////////////////
// bbsadmin.ini.phpは2chBBS Admin（bbsadmin.inc.php）の設定ファイルです
//////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////////////////////
// 2chBBS Adminがあるサーバーのルート
// ライセンスファイルのダウンロード等に必要です
// 当方のサーバーの引っ越しなどがあれば編集して下さい
define('BBSADMIN_URL', 'http://buffalowiki.staba.jp/');


//////////////////////////////////////////////////////////////////////////////////////////////
// 保存されるクッキーの名前（COOKIE-アクション名 という形式で保存されます）
define('COOKIE', 'BBSADMIN' );


//////////////////////////////////////////////////////////////////////////////////////////////
// 掲示板を示すウィキ内のカテゴリー（掲示板/板の名前 みたいな感じで管理している場合）
define('BBSCAT', '掲示板'); // 該当しなければ空欄にして下さい


//////////////////////////////////////////////////////////////////////////////////////////////
// 管理画面の表示に関する設定

// このプログラムのロゴ画像（DATA_HOMEとIMAGE_DIRはpukiwiki.ini.phpで定義）
// ログイン画面に表示されるロゴ
define('BBSADMIN_LOGIN_LOGO', '<a href="' . BBSADMIN_URL . '?' . rawurlencode('2chBBS Admin') . '" title="2ch BBS Admin" target="_blank">
<img src="' . IMAGE_DIR . 'bbsadmin.png" style="margin:10px 3px;border:none" width="459" height="100" /></a>');

// ログイン後の画面に表示されるロゴ（DATA_HOMEとIMAGE_DIRはpukiwiki.ini.phpで定義）
define('BBSADMIN_LOGO', '<a href="' . DATA_HOME . '?cmd=bbsadmin" title="2ch BBS Admin">
<img src="' . IMAGE_DIR . 'bbsadmin2.png" style="margin:6px 2px;border:none" width="300" height="65" /></a>');

// このプログラムのコピーライト（GPLに従います）
define('COPY', '<hr><div style="text-align:right"><font size="-2" style="color:#999">Copyright &copy; 2008 Tetsuya Saito</font></div>');


//////////////////////////////////////////////////////////////////////////////////////////////
// SQLiteに関する設定

// データベースで管理用に作成するテーブル名
define('TABLE_NAME', 'BBSADMIN' );

//データベースファイルの保存先（BBS_HOMEはbbsadmin.inc.phpのplugin_bbsadmin_init関数内で定義）
define('ADMIN_SQLITE', BBS_HOME . 'bbsadmin.sqlite' );


//////////////////////////////////////////////////////////////////////////////////////////////
// データファイルの処理に関わる設定

// デフォルトで削除されタレスの代わりに挿入されるコメント
define('DELETED_COM', 'この書き込みは削除されました。'); // 該当しなければ空欄にして下さい

// 削除／修正があったことを知らせるタイムスタンプ
define('TIME', '<br /><font size="-1">(' . date('Y/m/d H:i:s') . ')</font>'); // 該当しなければ空欄にして下さい

// 掲示板用データの保存フォルダ
define('DAT', 'dat');

// 設定ファイルconf.ini.phpのテンプレートファイル
define('CONF_FILE', 'conf.txt' );

// スレッドの一覧が保存されているファイル名など
define('SUBJECT_FILE', 'subject.txt' );
define('BACKUP_FILE', 'subback.txt' );
define('LAST_SIZE', 'lastsize.txt' );

// レスであることを知らせるレス名
define('RES', 'res' );

// 削除されたレスであることを知らせるレス名
define('DELETED', 'deleted' );

// テキストファイルをダウンロードする際に使用するエンコード
// ASCII, JIS, UTF-8, EUC-JP, SJIS のいずれかを指定
define('FROM_ENC', 'UTF-8'); // ソースファイル（Pukiwikiのデフォルトを指定）
define('TO_ENC', 'SJIS'); // ダウンロードファイル

// 掲示板のデータ保存ファイルのデータ区切り
define('SPL', '<>');

// 掲示板用に保存されるデータの改行文字
define('BR', '<br />');

// .htaccessのパーミッション設定（0644か0604に設定）
define('HTACCESS', 0644);
?>